### Constructor

# Gdk Texture new_from_filename

#### Declaration [src]

    GdkTexture*
    gdk_texture_new_from_filename (
      const char* path,
      GError** error
    )

#### Description [src]

Creates a new texture by loading an image from a file.

The file format is detected automatically. The supported formats are PNG and JPEG, though more formats might be available.

If `NULL` is returned, then `error` will be set.

This function is threadsafe, so that you can e.g. use GTask and `g_task_run_in_thread()` to avoid blocking the main thread while loading a big image.

Available since: | 4.6

#### Parameters

`path` | `const char*`
| The filename to load.
| The data is owned by the caller of the function.
| The string is a file system path, using the OS encoding.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkTexture`
| A newly-created `GdkTexture`
| The caller of the function takes ownership of the data, and is responsible for freeing it.